maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Green <james.mk.gr...@gmail.com>
Subject Re: dependency:tree gets wrong version?
Date Wed, 02 Oct 2013 10:34:39 GMT
Appreciate that and this provides a good way forward. While "debugging" the
problem we actually ended up removing a pile of dependencies included which
were no longer required shaving about 7mb from the binary so it ended up
being fruitful anyway..!


On 20 September 2013 18:04, Jörg Schaible <joerg.schaible@gmx.de> wrote:

> Hi James,
>
> James Green wrote:
>
> > org.apache.maven.plugins:maven-dependency-plugin:2.8
> >
> > The only way we resolved our problem was by loading the project into
> > Eclipse and viewing the graph of dependencies, then dropping each that
> had
> > a transitive dependency on the older woodstox. Eventually jaxws-rt was
> > dropped and the woodstox 2.4.0 was included. So we added an exclude here
> > and we've been fine since.
> >
> > It would have been nice if the dependency plugin showed that really. We
> > did upgrade the dependency from an older release but didn't see any
> change
> > as a result.
>
> Hmm. I control my versions normally with a shared dependencyManagement
> section. No room for surprises!
>
> - Jörg
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
> For additional commands, e-mail: users-help@maven.apache.org
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message